com.genesyslab.wfm7.API.service.config720

## Class CfgSite

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgSite

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSite
      extends java.lang.Object
      implements java.io.Serializable

  Site information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `gswName` Switch Name
    `private int` | `gswSwitchId` Switch ID
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private int` | `wmAlarmThreshold` Alarm Threshold (in minutes)
    `private int` | `wmAspSwitchId` An ID of Switch used for statictics
    `private int` | `wmBUId` Business Unit ID, identifies `CfgBU` object that Site belongs to.
    `private int` | `wmDAStatId` StatServer application ID
    `private int` | `wmDASynchroId` Data Aggregator used synchronization application ID
    `private int` | `wmMaxSeats` Maximum Number of Seats
    `private int` | `wmMinTimeBetweenDays` Minimum duration between the end of the day and start of next working day
    `private java.lang.String` | `wmName` Site Name
    `private double` | `wmSchPlanningPeriodStartDate` Planning Period Start Date (`OleDateTime`)
    `private int` | `wmSchPlanningPeriodType` Schedule Planning Period Type (`ECfgPlanningPeriodType`)
    `private int` | `wmSiteId` Site ID
    `private int` | `wmTeamWorkWindow` Maximum start time difference for members of the same team (in minutes)
    `private java.lang.String` | `wmTenantName` Tenant Name
    `private java.lang.String` | `wmTenantPassword` Tenant Password
    `private java.lang.String` | `wmTimeProfile` Tenant Profile
    `private int` | `wmTimezoneId` Site Time Zone ID, indentifies `CfgTimezone` object
    `private boolean` | `wmUnassignAgents` Synchronize "unassigned" agents (true/false)
    `private int` | `wmWFMServerId` Associated WFM Server application ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSite()`
    `CfgSite(int wmSiteId, int wmBUId, int wmTimezoneId, int gswSwitchId, java.lang.String gswName, java.lang.String wmName, int wmTeamWorkWindow, int wmMinTimeBetweenDays, int wmMaxSeats, java.lang.String wmTenantName, java.lang.String wmTenantPassword, java.lang.String wmTimeProfile, int wmAspSwitchId, int wmSchPlanningPeriodType, double wmSchPlanningPeriodStartDate, int wmAlarmThreshold, int wmDAStatId, int wmDASynchroId, int wmWFMServerId, boolean wmUnassignAgents, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getGswName()` Gets the gswName value for this CfgSite.
    `int` | `getGswSwitchId()` Gets the gswSwitchId value for this CfgSite.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgSite.
    `int` | `getWmAlarmThreshold()` Gets the wmAlarmThreshold value for this CfgSite.
    `int` | `getWmAspSwitchId()` Gets the wmAspSwitchId value for this CfgSite.
    `int` | `getWmBUId()` Gets the wmBUId value for this CfgSite.
    `int` | `getWmDAStatId()` Gets the wmDAStatId value for this CfgSite.
    `int` | `getWmDASynchroId()` Gets the wmDASynchroId value for this CfgSite.
    `int` | `getWmMaxSeats()` Gets the wmMaxSeats value for this CfgSite.
    `int` | `getWmMinTimeBetweenDays()` Gets the wmMinTimeBetweenDays value for this CfgSite.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgSite.
    `double` | `getWmSchPlanningPeriodStartDate()` Gets the wmSchPlanningPeriodStartDate value for this CfgSite.
    `int` | `getWmSchPlanningPeriodType()` Gets the wmSchPlanningPeriodType value for this CfgSite.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgSite.
    `int` | `getWmTeamWorkWindow()` Gets the wmTeamWorkWindow value for this CfgSite.
    `java.lang.String` | `getWmTenantName()` Gets the wmTenantName value for this CfgSite.
    `java.lang.String` | `getWmTenantPassword()` Gets the wmTenantPassword value for this CfgSite.
    `java.lang.String` | `getWmTimeProfile()` Gets the wmTimeProfile value for this CfgSite.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgSite.
    `int` | `getWmWFMServerId()` Gets the wmWFMServerId value for this CfgSite.
    `int` | `hashCode()`
    `boolean` | `isWmUnassignAgents()` Gets the wmUnassignAgents value for this CfgSite.
    `void` | `setGswName(java.lang.String gswName)` Sets the gswName value for this CfgSite.
    `void` | `setGswSwitchId(int gswSwitchId)` Sets the gswSwitchId value for this CfgSite.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgSite.
    `void` | `setWmAlarmThreshold(int wmAlarmThreshold)` Sets the wmAlarmThreshold value for this CfgSite.
    `void` | `setWmAspSwitchId(int wmAspSwitchId)` Sets the wmAspSwitchId value for this CfgSite.
    `void` | `setWmBUId(int wmBUId)` Sets the wmBUId value for this CfgSite.
    `void` | `setWmDAStatId(int wmDAStatId)` Sets the wmDAStatId value for this CfgSite.
    `void` | `setWmDASynchroId(int wmDASynchroId)` Sets the wmDASynchroId value for this CfgSite.
    `void` | `setWmMaxSeats(int wmMaxSeats)` Sets the wmMaxSeats value for this CfgSite.
    `void` | `setWmMinTimeBetweenDays(int wmMinTimeBetweenDays)` Sets the wmMinTimeBetweenDays value for this CfgSite.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgSite.
    `void` | `setWmSchPlanningPeriodStartDate(double wmSchPlanningPeriodStartDate)` Sets the wmSchPlanningPeriodStartDate value for this CfgSite.
    `void` | `setWmSchPlanningPeriodType(int wmSchPlanningPeriodType)` Sets the wmSchPlanningPeriodType value for this CfgSite.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgSite.
    `void` | `setWmTeamWorkWindow(int wmTeamWorkWindow)` Sets the wmTeamWorkWindow value for this CfgSite.
    `void` | `setWmTenantName(java.lang.String wmTenantName)` Sets the wmTenantName value for this CfgSite.
    `void` | `setWmTenantPassword(java.lang.String wmTenantPassword)` Sets the wmTenantPassword value for this CfgSite.
    `void` | `setWmTimeProfile(java.lang.String wmTimeProfile)` Sets the wmTimeProfile value for this CfgSite.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgSite.
    `void` | `setWmUnassignAgents(boolean wmUnassignAgents)` Sets the wmUnassignAgents value for this CfgSite.
    `void` | `setWmWFMServerId(int wmWFMServerId)` Sets the wmWFMServerId value for this CfgSite.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### wmBUId

          private int wmBUId

      Business Unit ID, identifies `CfgBU` object that Site belongs to. Zero value means Site is not under any Business Unit.

    - #### wmTimezoneId

          private int wmTimezoneId

      Site Time Zone ID, indentifies `CfgTimezone` object

    - #### gswSwitchId

          private int gswSwitchId

      Switch ID

    - #### gswName

          private java.lang.String gswName

      Switch Name

    - #### wmName

          private java.lang.String wmName

      Site Name

    - #### wmTeamWorkWindow

          private int wmTeamWorkWindow

      Maximum start time difference for members of the same team (in minutes)

    - #### wmMinTimeBetweenDays

          private int wmMinTimeBetweenDays

      Minimum duration between the end of the day and start of next working day

    - #### wmMaxSeats

          private int wmMaxSeats

      Maximum Number of Seats

    - #### wmTenantName

          private java.lang.String wmTenantName

      Tenant Name

    - #### wmTenantPassword

          private java.lang.String wmTenantPassword

      Tenant Password

    - #### wmTimeProfile

          private java.lang.String wmTimeProfile

      Tenant Profile

    - #### wmAspSwitchId

          private int wmAspSwitchId

      An ID of Switch used for statictics

    - #### wmSchPlanningPeriodType

          private int wmSchPlanningPeriodType

      Schedule Planning Period Type (`ECfgPlanningPeriodType`)

    - #### wmSchPlanningPeriodStartDate

          private double wmSchPlanningPeriodStartDate

      Planning Period Start Date (`OleDateTime`)

    - #### wmAlarmThreshold

          private int wmAlarmThreshold

      Alarm Threshold (in minutes)

    - #### wmDAStatId

          private int wmDAStatId

      StatServer application ID

    - #### wmDASynchroId

          private int wmDASynchroId

      Data Aggregator used synchronization application ID

    - #### wmWFMServerId

          private int wmWFMServerId

      Associated WFM Server application ID

    - #### wmUnassignAgents

          private boolean wmUnassignAgents

      Synchronize "unassigned" agents (true/false)

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgSite

          public CfgSite()

    - #### CfgSite

          public CfgSite(int wmSiteId,
                 int wmBUId,
                 int wmTimezoneId,
                 int gswSwitchId,
                 java.lang.String gswName,
                 java.lang.String wmName,
                 int wmTeamWorkWindow,
                 int wmMinTimeBetweenDays,
                 int wmMaxSeats,
                 java.lang.String wmTenantName,
                 java.lang.String wmTenantPassword,
                 java.lang.String wmTimeProfile,
                 int wmAspSwitchId,
                 int wmSchPlanningPeriodType,
                 double wmSchPlanningPeriodStartDate,
                 int wmAlarmThreshold,
                 int wmDAStatId,
                 int wmDASynchroId,
                 int wmWFMServerId,
                 boolean wmUnassignAgents,
                 long timestamp)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgSite.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgSite.
      Parameters:
        `wmSiteId` -

    - #### getWmBUId

          public int getWmBUId()

      Gets the wmBUId value for this CfgSite.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int wmBUId)

      Sets the wmBUId value for this CfgSite.
      Parameters:
        `wmBUId` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgSite.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgSite.
      Parameters:
        `wmTimezoneId` -

    - #### getGswSwitchId

          public int getGswSwitchId()

      Gets the gswSwitchId value for this CfgSite.
      Returns:
        gswSwitchId

    - #### setGswSwitchId

          public void setGswSwitchId(int gswSwitchId)

      Sets the gswSwitchId value for this CfgSite.
      Parameters:
        `gswSwitchId` -

    - #### getGswName

          public java.lang.String getGswName()

      Gets the gswName value for this CfgSite.
      Returns:
        gswName

    - #### setGswName

          public void setGswName(java.lang.String gswName)

      Sets the gswName value for this CfgSite.
      Parameters:
        `gswName` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgSite.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgSite.
      Parameters:
        `wmName` -

    - #### getWmTeamWorkWindow

          public int getWmTeamWorkWindow()

      Gets the wmTeamWorkWindow value for this CfgSite.
      Returns:
        wmTeamWorkWindow

    - #### setWmTeamWorkWindow

          public void setWmTeamWorkWindow(int wmTeamWorkWindow)

      Sets the wmTeamWorkWindow value for this CfgSite.
      Parameters:
        `wmTeamWorkWindow` -

    - #### getWmMinTimeBetweenDays

          public int getWmMinTimeBetweenDays()

      Gets the wmMinTimeBetweenDays value for this CfgSite.
      Returns:
        wmMinTimeBetweenDays

    - #### setWmMinTimeBetweenDays

          public void setWmMinTimeBetweenDays(int wmMinTimeBetweenDays)

      Sets the wmMinTimeBetweenDays value for this CfgSite.
      Parameters:
        `wmMinTimeBetweenDays` -

    - #### getWmMaxSeats

          public int getWmMaxSeats()

      Gets the wmMaxSeats value for this CfgSite.
      Returns:
        wmMaxSeats

    - #### setWmMaxSeats

          public void setWmMaxSeats(int wmMaxSeats)

      Sets the wmMaxSeats value for this CfgSite.
      Parameters:
        `wmMaxSeats` -

    - #### getWmTenantName

          public java.lang.String getWmTenantName()

      Gets the wmTenantName value for this CfgSite.
      Returns:
        wmTenantName

    - #### setWmTenantName

          public void setWmTenantName(java.lang.String wmTenantName)

      Sets the wmTenantName value for this CfgSite.
      Parameters:
        `wmTenantName` -

    - #### getWmTenantPassword

          public java.lang.String getWmTenantPassword()

      Gets the wmTenantPassword value for this CfgSite.
      Returns:
        wmTenantPassword

    - #### setWmTenantPassword

          public void setWmTenantPassword(java.lang.String wmTenantPassword)

      Sets the wmTenantPassword value for this CfgSite.
      Parameters:
        `wmTenantPassword` -

    - #### getWmTimeProfile

          public java.lang.String getWmTimeProfile()

      Gets the wmTimeProfile value for this CfgSite.
      Returns:
        wmTimeProfile

    - #### setWmTimeProfile

          public void setWmTimeProfile(java.lang.String wmTimeProfile)

      Sets the wmTimeProfile value for this CfgSite.
      Parameters:
        `wmTimeProfile` -

    - #### getWmAspSwitchId

          public int getWmAspSwitchId()

      Gets the wmAspSwitchId value for this CfgSite.
      Returns:
        wmAspSwitchId

    - #### setWmAspSwitchId

          public void setWmAspSwitchId(int wmAspSwitchId)

      Sets the wmAspSwitchId value for this CfgSite.
      Parameters:
        `wmAspSwitchId` -

    - #### getWmSchPlanningPeriodType

          public int getWmSchPlanningPeriodType()

      Gets the wmSchPlanningPeriodType value for this CfgSite.
      Returns:
        wmSchPlanningPeriodType

    - #### setWmSchPlanningPeriodType

          public void setWmSchPlanningPeriodType(int wmSchPlanningPeriodType)

      Sets the wmSchPlanningPeriodType value for this CfgSite.
      Parameters:
        `wmSchPlanningPeriodType` -

    - #### getWmSchPlanningPeriodStartDate

          public double getWmSchPlanningPeriodStartDate()

      Gets the wmSchPlanningPeriodStartDate value for this CfgSite.
      Returns:
        wmSchPlanningPeriodStartDate

    - #### setWmSchPlanningPeriodStartDate

          public void setWmSchPlanningPeriodStartDate(double wmSchPlanningPeriodStartDate)

      Sets the wmSchPlanningPeriodStartDate value for this CfgSite.
      Parameters:
        `wmSchPlanningPeriodStartDate` -

    - #### getWmAlarmThreshold

          public int getWmAlarmThreshold()

      Gets the wmAlarmThreshold value for this CfgSite.
      Returns:
        wmAlarmThreshold

    - #### setWmAlarmThreshold

          public void setWmAlarmThreshold(int wmAlarmThreshold)

      Sets the wmAlarmThreshold value for this CfgSite.
      Parameters:
        `wmAlarmThreshold` -

    - #### getWmDAStatId

          public int getWmDAStatId()

      Gets the wmDAStatId value for this CfgSite.
      Returns:
        wmDAStatId

    - #### setWmDAStatId

          public void setWmDAStatId(int wmDAStatId)

      Sets the wmDAStatId value for this CfgSite.
      Parameters:
        `wmDAStatId` -

    - #### getWmDASynchroId

          public int getWmDASynchroId()

      Gets the wmDASynchroId value for this CfgSite.
      Returns:
        wmDASynchroId

    - #### setWmDASynchroId

          public void setWmDASynchroId(int wmDASynchroId)

      Sets the wmDASynchroId value for this CfgSite.
      Parameters:
        `wmDASynchroId` -

    - #### getWmWFMServerId

          public int getWmWFMServerId()

      Gets the wmWFMServerId value for this CfgSite.
      Returns:
        wmWFMServerId

    - #### setWmWFMServerId

          public void setWmWFMServerId(int wmWFMServerId)

      Sets the wmWFMServerId value for this CfgSite.
      Parameters:
        `wmWFMServerId` -

    - #### isWmUnassignAgents

          public boolean isWmUnassignAgents()

      Gets the wmUnassignAgents value for this CfgSite.
      Returns:
        wmUnassignAgents

    - #### setWmUnassignAgents

          public void setWmUnassignAgents(boolean wmUnassignAgents)

      Sets the wmUnassignAgents value for this CfgSite.
      Parameters:
        `wmUnassignAgents` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgSite.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgSite.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.